
Foreman - Bug #1453

Solaris install fails if Safemode-rendering is enabled

01/18/2012 07:41 AM - David M.

Status: Closed   

Priority: Normal   

Assignee: Marek Hulán   

Category: Templates   

Target version: 1.10.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/2525

  

Description

The installation of solaris using foreman fails if "safemode_render" is true.

This message is shown when trying to open the template:

There was an error rendering the Jumpstart Default template: undefined method 'use_image' for Host

::Jail (Host)

 Workaround: Set "safemode_render" to false in "More->Settings".

Related issues:

Related to Foreman - Refactor #11293: Add tests for methods functionality def... New 08/05/2015

Associated revisions

Revision a24c693c - 07/07/2015 11:30 AM - Marek Hulán

Refs #1453 - use host jumpstart helpers

Revision 6ea461fe - 08/05/2015 10:55 AM - Marek Hulán

Fixes #1453 - add use_image and jumpstart helpers to Host jail

Revision 535547e6 - 08/05/2015 10:58 AM - Dominic Cleal 

Merge pull request #193 from ares/refs/1453

Refs #1453 - use host jumpstart helpers

History

#1 - 01/18/2012 08:14 AM - David M.

There is also an error when viewing the pxegrub-template. This time the workaround doesnt help:

There was an error rendering the Jumpstart default PXEGrub template: undefined local variable or method `multi

boot' for #<#<Class:0x7ffa030e0038>:0x7ffa02a55f60>

#2 - 03/27/2014 01:46 PM - Garrett D

I am experiencing this with foreman-1.4.2-1.el6.noarch on CentOS 6.5.

There was an error rendering the Jumpstart default PXEGrub template: undefined local variable or method `multiboot' for

#<#<Class:0x007f147cdbf258>:0x007f147cda92f0>

#3 - 07/07/2015 11:26 AM - Marek Hulán

- Description updated

- Category changed from Web Interface to Templates

- Assignee changed from Ohad Levy to Marek Hulán
This was caused by https://github.com/theforeman/community-templates/blob/develop/jumpstart/provision.erb#L8

For multiboot (and other) we need to allow several methods in host jail and change the template to load it from @host, since it's defined in

HostTemplateHelpers concern, which is not included in controller.

#4 - 07/07/2015 11:33 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2525 added

- Pull request deleted ()

#5 - 07/07/2015 11:33 AM - Marek Hulán

Community templates related PR opened at https://github.com/theforeman/community-templates/pull/193

#6 - 08/05/2015 06:58 AM - Marek Hulán

- Related to Refactor #11293: Add tests for methods functionality defined in HostTemplateHelpers added

#7 - 08/05/2015 10:57 AM - Dominic Cleal

- translation missing: en.field_release set to 63

#8 - 08/05/2015 11:01 AM - Marek Hulán

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 6ea461fe5d14212fe6c9203634a67105e8334391.
